# New query parameter: `institution` on GET / profile and GET /employments/{identifier}


  • The GET /employments/{identifier}and GET /profile/{identifier} endpoint now supports an optional institution query parameter.
  • Use it to filter employment records by the institution that reported them.

⚙️ What Changes

  • New optional query parameterinstitution (string, enum).
  • Backward compatible — when the parameter is omitted, the response returns records from all institutions, exactly as before.
ValueDescription
imssReturns only IMSS employment records
isssteReturns only ISSSTE employment records

💡 Examples

Filter by IMSS:

GET /employments/CUAI911021MOCRQS09?institution=imss

{
  "identifier": "VAMB920314HDFRNR07",
  "updated_at": "2026-04-06T14:05:30.103289Z",
  "semanas_cotizadas": null,
  "employment_history": [
    {
      "employer": "CLINICA DE ESPECIALIDADES MEDICAS SC",
      "employer_registration": "C2731849",
      "start_date": "2026-02-01",
      "end_date": null,
      "federal_entity": "MORELOS",
      "base_salary": 598.9,
      "monthly_salary": 18218.54,
      "pdf_link": "https://storage.googleapis.com/income-bureau-files-stg/imss_rpci/VAMB920314HDFRNR07.pdf?...",
      "institution": "imss"
    }
  ],
  "pagination": {
    "page": 1,
    "items_per_page": 100,
    "total_items": 1,
    "total_pages": 1
  }
}

Filter by ISSSTE:

GET /employments/CUAI911021MOCRQS09?institution=issste

{
  "identifier": "EFGH789012IJKLMN02",
  "updated_at": "2025-09-25T17:40:22.153499Z",
  "semanas_cotizadas": 320,
  "employment_history": [
    {
      "employer": "SECRETARIA DE EDUCACION PUBLICA",
      "employer_registration": null,
      "start_date": "2020-01-15",
      "end_date": null,
      "federal_entity": "CIUDAD DE MEXICO",
      "base_salary": 1250,
      "monthly_salary": 38000,
      "pdf_link": "https://storage.googleapis.com/income-bureau-files-stg/issste/EFGH789012IJKLMN02.pdf?...",
      "institution": "issste"
    },
    {
      "employer": "INSTITUTO NACIONAL DE SALUD",
      "employer_registration": null,
      "start_date": "2017-06-01",
      "end_date": "2019-12-31",
      "federal_entity": "PUEBLA",
      "base_salary": 1050,
      "monthly_salary": 31920,
      "pdf_link": "https://storage.googleapis.com/income-bureau-files-stg/issste/EFGH789012IJKLMN02.pdf?...",
      "institution": "issste"
    }
  ],
  "pagination": {
    "page": 1,
    "items_per_page": 100,
    "total_items": 2,
    "total_pages": 1
  }
}